; vim:noet:sw=8:ts=8:sts=8:ai:syn=asm68k

;-- System68K_nano ----------------------------------------------------------
   if (System68K_Nano|System68K_Thunderbird)
; register offsets
RHR             equ 0   ; receive holding register (read)
THR             equ 0   ; transmit holding register (write)
IER             equ 2   ; interrupt enable register
ISR             equ 4   ; interrupt status register (read)
FCR             equ 4   ; FIFO control register (write)
LCR             equ 6   ; line control register
MCR             equ 8   ; modem control register
LSR             equ 10  ; line status register
MSR             equ 12  ; modem status register
SPR             equ 14  ; scratchpad register (reserved for system use)
DLL             equ 0   ; divisor latch LSB
DLM             equ 2   ; divisor latch MSB
; aliases for register names (used by different manufacturers)
RBR             equ RHR ; receive buffer register
IIR             equ ISR ; interrupt identification register
SCR             equ SPR ; scratch register
   endif

   
;-- SystemEC020SBC -----------------------------------------------------------
   if SystemEC020SBC
; base address

; register offsets
RHR             equ 0   ; receive holding register (read)
THR             equ 0   ; transmit holding register (write)
IER             equ 1   ; interrupt enable register
ISR             equ 2   ; interrupt status register (read)
FCR             equ 2   ; FIFO control register (write)
LCR             equ 3   ; line control register
MCR             equ 4   ; modem control register
LSR             equ 5   ; line status register
MSR             equ 6   ; modem status register
SPR             equ 7   ; scratchpad register (reserved for system use)
DLL             equ 0   ; divisor latch LSB
DLM             equ 1   ; divisor latch MSB
; aliases for register names (used by different manufacturers)
RBR             equ RHR ; receive buffer register
IIR             equ ISR ; interrupt identification register
SCR             equ SPR ; scratch register
   endif

   
; MCR register bits (output lines)
; A bit value of 1 drives the output low
MCR_COPI        equ 0   ; ~DTR -- bit 0 allows for easier shifting
MCR_LED         equ 1   ; ~RTS
MCR_CLK         equ 2   ; ~OUT1
MCR_nSS         equ 3   ; ~OUT2

; MSR register bits (input lines)
MSR_RI          equ 6   ; ~RI
MSR_BTN1_PRESS  equ 2   ; TERI
MSR_SQW         equ 5   ; ~DSR
MSR_SQW_CHG     equ 2   ; deltaDSR
MSR_CIPO        equ 7   ; ~DSR -- bit 7 allows for easier shifting

;Delers voor baudrate (115.200 baud)
BAUD_DIV_L     equ  6    ;11.059.200 /16 /115200 =  6;
;BAUD_DIV_L     equ  18    ;11.059.200 /16 /38400  = 18;
BAUD_DIV_U     equ  0  


